# delete

## HTTP Request

```http
DELETE /api/v1/datasets/:datasetReference/versions/:tag
```

## Path parameters

| Parameter        |                                                                                                                                                                                                                 |
| ---------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| datasetReference | A qualified reference to the dataset. See [referencing resources](/api/referencing-resources.md) for more information.                                                                                          |
| tag              | <p>The version's tag, of the form <code>v1.0</code></p><p></p><p>Alternatively, you may specify <code>next</code> to delete the next (pending) version. The <code>current</code> version cannot be deleted.</p> |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md)
{% endhint %}

## Authorization

Edit access to the dataset is required. Your access token must have the following scope:

* data.edit

[Learn more about authorization.](/api/rest-api/authorization.md)

## Response body

If the deleted version was a `next` version, it will be immediately deleted, and no body will be included in the response. If the deleted version is an historic version, it will be marked as `isDeleted=true` and returned as a JSON representation of a [version.get resource](/api/resource-definitions/version.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/versions/delete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
